﻿using DepartmentContract.BindingModels;
using DepartmentContract.Logics.IGenericEntityLogic;
using DepartmentContract.Services.IGenericEntityService;
using DepartmentContract.ViewModels;
using ToolsModule.BusinessLogics;
using ToolsModule.Enums;

namespace DepartmentBusinessLogic.BusinessLogics.GenericBusinessLogic
{
    /// <summary>
    /// Логика работы с блоками дисциплин
    /// </summary>
    public class DisciplineBlockBusinessLogic : GenericBusinessLogic<DisciplineBlockGetBindingModel, DisciplineBlockSetBindingModel, DisciplineBlockListViewModel, DisciplineBlockViewModel>, IDisciplineBlockLogic
	{
		public DisciplineBlockBusinessLogic(IDisciplineBlockService service) : base(service, "Аудитории", AccessOperation.Дисциплины) { }
	}
}