﻿using DepartmentContract.BindingModels;
using DepartmentContract.Logics.IGenericEntityLogic;
using DepartmentContract.Services.IGenericEntityService;
using DepartmentContract.ViewModels;
using ToolsModule.BusinessLogics;
using ToolsModule.Enums;

namespace DepartmentBusinessLogic.BusinessLogics.GenericBusinessLogic
{
    /// <summary>
    /// Логика работы с направлениями обучений
    /// </summary>
    public class EducationDirectionBusinessLogic : GenericBusinessLogic<EducationDirectionGetBindingModel, EducationDirectionSetBindingModel, EducationDirectionListViewModel, EducationDirectionViewModel>, IEducationDirectionLogic
	{
		public EducationDirectionBusinessLogic(IEducationDirectionService service) : base(service, "Направления Обучений", AccessOperation.НаправленияОбучений) { }
	}
}