﻿using DepartmentContract.BindingModels;
using DepartmentContract.Logics.IGenericEntityLogic;
using DepartmentContract.Services.IGenericEntityService;
using DepartmentContract.ViewModels;
using ToolsModule.BusinessLogics;
using ToolsModule.Enums;

namespace DepartmentBusinessLogic.BusinessLogics.GenericBusinessLogic
{
    /// <summary>
    /// Логика работы с учеными званиями
    /// </summary>
    public class LecturerAcademicRankBusinessLogic : GenericBusinessLogic<LecturerAcademicRankGetBindingModel, LecturerAcademicRankSetBindingModel, LecturerAcademicRankListViewModel, LecturerAcademicRankViewModel>, ILecturerAcademicRankLogic
	{
		public LecturerAcademicRankBusinessLogic(ILecturerAcademicRankService service) : base(service, "Преподаватели", AccessOperation.Преподаватели) { }
	}
}