﻿using DepartmentContract.BindingModels;
using DepartmentContract.Logics.IGenericEntityLogic;
using DepartmentContract.Services.IGenericEntityService;
using DepartmentContract.ViewModels;
using ToolsModule.BusinessLogics;
using ToolsModule.Enums;

namespace DepartmentBusinessLogic.BusinessLogics.GenericBusinessLogic
{
    /// <summary>
    /// Логика работы с нормами времени
    /// </summary>
    public class TimeNormBusinessLogic : GenericBusinessLogic<TimeNormGetBindingModel, TimeNormSetBindingModel, TimeNormListViewModel, TimeNormViewModel>, ITimeNormLogic
	{
		public TimeNormBusinessLogic(ITimeNormService service) : base(service, "Нормы Времени", AccessOperation.НормыВремени) { }
	}
}