﻿using DepartmentBusinessLogic.BusinessLogics.GenericBusinessLogic;
using DepartmentContract.Logics.IGenericEntityLogic;
using ToolsModule.DependencyManagment;

namespace DepartmentBusinessLogic
{
    public class DepartmentLogicDependencyRegistration : IDependencyRegistration
    {
        public void RegisterServices()
		{
			DependencyManager.Instance.RegisterType<IPostLogic, PostBusinessLogic>();

			DependencyManager.Instance.RegisterType<IEmployeeLogic, EmployeeBusinessLogic>();
			DependencyManager.Instance.RegisterType<IEmployeePostLogic, EmployeePostBusinessLogic>();

			DependencyManager.Instance.RegisterType<IClassroomLogic, ClassroomBusinessLogic>();

			DependencyManager.Instance.RegisterType<IDisciplineBlockLogic, DisciplineBlockBusinessLogic>();
			DependencyManager.Instance.RegisterType<IDisciplineLogic, DisciplineBusinessLogic>();

			DependencyManager.Instance.RegisterType<ILecturerAcademicDegreeLogic, LecturerAcademicDegreeBusinessLogic>();
			DependencyManager.Instance.RegisterType<ILecturerAcademicRankLogic, LecturerAcademicRankBusinessLogic>();
			DependencyManager.Instance.RegisterType<ILecturerLogic, LecturerBusinessLogic>();
			DependencyManager.Instance.RegisterType<ILecturerPostLogic, LecturerPostBusinessLogic>();

			DependencyManager.Instance.RegisterType<IEducationDirectionLogic, EducationDirectionBusinessLogic>();

			DependencyManager.Instance.RegisterType<ITimeNormLogic, TimeNormBusinessLogic>();

			DependencyManager.Instance.RegisterType<IAcademicPlanLogic, AcademicPlanBusinessLogic>();
			DependencyManager.Instance.RegisterType<IAcademicPlanRecordLogic, AcademicPlanRecordBusinessLogic>();
			DependencyManager.Instance.RegisterType<IAcademicPlanRecordTimeNormHourLogic, AcademicPlanRecordTimeNormHourBusinessLogic>();

			DependencyManager.Instance.RegisterType<IStudentGroupLogic, StudentGroupBusinessLogic>();

			DependencyManager.Instance.RegisterType<IStudentLogic, StudentBusinessLogic>();

			DependencyManager.Instance.RegisterType<IOrderLogic, OrderBusinessLogic>();
			DependencyManager.Instance.RegisterType<IOrderStudentRecordLogic, OrderStudentRecordBusinessLogic>();

			DependencyManager.Instance.RegisterType<IOrderSyncHistoryLogic, OrderSyncHistoryBusinessLogic>();
			DependencyManager.Instance.RegisterType<IOrderSyncHistoryRecordLogic, OrderSyncHistoryRecordBusinessLogic>();
		}
    }
}