﻿using DepartmentContract.BindingModels;
using DepartmentContract.ViewModels;
using System;
using System.Threading.Tasks;
using ToolsModule.Interfaces;

namespace DepartmentContract.Logics.IGenericEntityLogic
{
    /// <summary>
    /// Логика работы с историями синхронизации приказов
    /// </summary>
    public interface IOrderSyncHistoryLogic : IGenericEntityLogic<OrderSyncHistoryGetBindingModel, OrderSyncHistorySetBindingModel, OrderSyncHistoryListViewModel, OrderSyncHistoryViewModel>
    {
        Task<bool> SyncOrders();

        Task<bool> SyncStudentOrders(Guid studentId);
    }
}