﻿using DepartmentContract.BindingModels;
using DepartmentContract.Logics.IGenericEntityLogic;
using DepartmentContract.ViewModels;
using System;
using System.Collections.Generic;
using ToolsDesktop.Controls;
using ToolsDesktop.Enums;
using ToolsDesktop.Interfaces;
using ToolsDesktop.Models;
using ToolsModule.Enums;

namespace DepartmentWindowsDesktop.EntityControls
{
    /// <summary>
    /// Реализация контрола для списка блоков дисциплин
    /// </summary>
    public partial class ControlDisciplineBlockList :
		GenericControlEntityList<DisciplineBlockGetBindingModel, DisciplineBlockSetBindingModel, DisciplineBlockListViewModel, DisciplineBlockViewModel, IDisciplineBlockLogic>,
		IGenericControlEntityList
	{
		public ControlDisciplineBlockList()
		{
			InitializeComponent();
			Title = "Блоки дисциплин";
			ControlId = new Guid("1c115bda-fa08-4127-ac4b-daba79d65628");
			AccessOperation = AccessOperation.Дисциплины;
			ControlViewEntityElement = new ControlDisciplineBlockElement();
			_genericControlViewEntityList = this;
		}

		public IControl GetInstanceGenericControl() => new ControlDisciplineBlockList() { ControlId = Guid.NewGuid() };

		public ControlViewEntityListConfiguration GetConfigControl() => new()
		{
			PaginationOn = false,
			HideToolStripButton = new List<ToolStripButtonListNames>
			{
				ToolStripButtonListNames.toolStripButtonSearch
			}
		};
	}
}