﻿using DepartmentContract.BindingModels;
using DepartmentContract.Logics.IGenericEntityLogic;
using DepartmentContract.ViewModels;
using System;
using System.Collections.Generic;
using ToolsDesktop.Controls;
using ToolsDesktop.Enums;
using ToolsDesktop.Interfaces;
using ToolsDesktop.Models;
using ToolsModule.Enums;

namespace DepartmentWindowsDesktop.EntityControls
{
    /// <summary>
    /// Реализация контрола для списка направлений обучений
    /// </summary>
    public partial class ControlEducationDirectionList :
		GenericControlEntityList<EducationDirectionGetBindingModel, EducationDirectionSetBindingModel, EducationDirectionListViewModel, EducationDirectionViewModel, IEducationDirectionLogic>,
		IGenericControlEntityList
	{
		public ControlEducationDirectionList()
		{
			InitializeComponent();
			Title = "Направления Обучений";
			ControlId = new Guid("9d6eee16-e84c-4483-a744-6568de11c6d9");
			AccessOperation = AccessOperation.НаправленияОбучений;
			ControlViewEntityElement = new ControlEducationDirectionElement();
			_genericControlViewEntityList = this;
		}

		public IControl GetInstanceGenericControl() => new ControlEducationDirectionList() { ControlId = Guid.NewGuid() };

		public ControlViewEntityListConfiguration GetConfigControl() => new()
		{
			PaginationOn = false,
			HideToolStripButton = new List<ToolStripButtonListNames>
			{
				ToolStripButtonListNames.toolStripButtonSearch
			}
		};
	}
}