﻿using DepartmentContract.BindingModels;
using DepartmentContract.Logics.IGenericEntityLogic;
using DepartmentContract.ViewModels;
using System;
using ToolsDesktop.Controls;
using ToolsDesktop.Interfaces;
using ToolsDesktop.Models;

namespace DepartmentWindowsDesktop.EntityControls
{
    /// <summary>
    /// Реализация контрола для связи сотрудника с должностью
    /// </summary>
    public partial class ControlEmployeePostElement :
		GenericControlEntityElement<EmployeePostGetBindingModel, EmployeePostSetBindingModel, EmployeePostListViewModel, EmployeePostViewModel, IEmployeePostLogic>,
		IGenericControlEntityElement
	{
		public ControlEmployeePostElement()
		{
			InitializeComponent();
			Title = "Связи сотрудников с должностями";
			ControlId = new Guid("bdc9a6ef-968c-4d8e-bc19-aa15485cc855");
			_genericControlViewEntityElement = this;
		}

		public IControl GetInstanceGenericControl() => new ControlEmployeePostElement() { ControlId = Guid.NewGuid() };

		public ControlViewEntityElementConfiguration GetConfigControl() => new();
	}
}