﻿using DepartmentContract.BindingModels;
using DepartmentContract.Logics.IGenericEntityLogic;
using DepartmentContract.ViewModels;
using System;
using System.Collections.Generic;
using ToolsDesktop.Controls;
using ToolsDesktop.Enums;
using ToolsDesktop.Interfaces;
using ToolsDesktop.Models;
using ToolsModule.Enums;

namespace DepartmentWindowsDesktop.EntityControls
{
    /// <summary>
    /// Реализация контрола для списка должностней сотрудника
    /// </summary>
    public partial class ControlEmployeePostList :
		GenericControlEntityList<EmployeePostGetBindingModel, EmployeePostSetBindingModel, EmployeePostListViewModel, EmployeePostViewModel, IEmployeePostLogic>,
		IGenericControlEntityList
	{
		public ControlEmployeePostList()
		{
			InitializeComponent();
			Title = "Связи сотрудников с должностями";
			ControlId = new Guid("5d8ef8a4-8f76-4333-97a6-0beee5be8999");
			AccessOperation = AccessOperation.Должности;
			ControlViewEntityElement = new ControlEmployeePostElement();
			_genericControlViewEntityList = this;
		}

		public IControl GetInstanceGenericControl() => new ControlEmployeePostList() { ControlId = Guid.NewGuid() };

		public ControlViewEntityListConfiguration GetConfigControl() => new()
		{
			PaginationOn = false,
			HideToolStripButton = new List<ToolStripButtonListNames>
			{
				ToolStripButtonListNames.toolStripButtonUpd,
				ToolStripButtonListNames.toolStripButtonSearch
			}
		};
	}
}