﻿using DepartmentContract.BindingModels;
using DepartmentContract.Logics.IGenericEntityLogic;
using DepartmentContract.ViewModels;
using System;
using ToolsDesktop.Controls;
using ToolsDesktop.Interfaces;
using ToolsDesktop.Models;

namespace DepartmentWindowsDesktop.EntityControls
{
    /// <summary>
    /// Реализация контрола для истории синхронизации приказов
    /// </summary>
    public partial class ControlOrderSyncHistoryElement :
		GenericControlEntityElement<OrderSyncHistoryGetBindingModel, OrderSyncHistorySetBindingModel, OrderSyncHistoryListViewModel, OrderSyncHistoryViewModel, IOrderSyncHistoryLogic>,
		IGenericControlEntityElement
	{
		public ControlOrderSyncHistoryElement()
		{
			InitializeComponent();
			Title = "История синхронизации приказа";
			ControlId = new Guid("34368ebc-f657-45b3-93c8-4fba732a1457");
			_genericControlViewEntityElement = this;
		}

		public IControl GetInstanceGenericControl() => new ControlOrderSyncHistoryElement() { ControlId = Guid.NewGuid() };

		public ControlViewEntityElementConfiguration GetConfigControl() => new();
	}
}