﻿using DepartmentContract.BindingModels;
using DepartmentContract.Logics.IGenericEntityLogic;
using DepartmentContract.ViewModels;
using System;
using System.Collections.Generic;
using ToolsDesktop.Controls;
using ToolsDesktop.Enums;
using ToolsDesktop.Interfaces;
using ToolsDesktop.Models;
using ToolsModule.Enums;

namespace DepartmentWindowsDesktop.EntityControls
{
    /// <summary>
    /// Реализация контрола для списка записей истории синхронизации приказов
    /// </summary>
    public partial class ControlOrderSyncHistoryRecordList :
		GenericControlEntityList<OrderSyncHistoryRecordGetBindingModel, OrderSyncHistoryRecordSetBindingModel, OrderSyncHistoryRecordListViewModel, OrderSyncHistoryRecordViewModel, IOrderSyncHistoryRecordLogic>,
		IGenericControlEntityList
	{
		public ControlOrderSyncHistoryRecordList()
		{
			InitializeComponent();
			Title = "Записи Синхронизации Приказов";
			ControlId = new Guid("8d18e9fa-f056-47c8-b83d-f06f6bf553c2");
			AccessOperation = AccessOperation.СинхронизацияПриказов;
			ControlViewEntityElement = new ControlOrderSyncHistoryRecordElement();
			_genericControlViewEntityList = this;
		}

		public IControl GetInstanceGenericControl() => new ControlOrderSyncHistoryRecordList() { ControlId = Guid.NewGuid() };

		public ControlViewEntityListConfiguration GetConfigControl() => new()
		{
			PaginationOn = false,
			HideToolStripButton = new List<ToolStripButtonListNames>
			{
				ToolStripButtonListNames.toolStripButtonAdd,
				ToolStripButtonListNames.toolStripButtonUpd,
				ToolStripButtonListNames.toolStripButtonDel,
				ToolStripButtonListNames.toolStripButtonSearch
			}
		};
	}
}