﻿using DepartmentContract.BindingModels;
using DepartmentContract.Logics.IGenericEntityLogic;
using DepartmentContract.ViewModels;
using System;
using ToolsDesktop.Controls;
using ToolsDesktop.Interfaces;
using ToolsDesktop.Models;

namespace DepartmentWindowsDesktop.EntityControls
{
    /// <summary>
    /// Реализация контрола для учебной группы
    /// </summary>
    public partial class ControlStudentGroupElement :
		GenericControlEntityElement<StudentGroupGetBindingModel, StudentGroupSetBindingModel, StudentGroupListViewModel, StudentGroupViewModel, IStudentGroupLogic>,
		IGenericControlEntityElement
	{
		public ControlStudentGroupElement()
		{
			InitializeComponent();
			Title = "Учебная группа";
			ControlId = new Guid("949d6004-b10e-4e9b-8cc4-21a7c31e599a");
			_genericControlViewEntityElement = this;
		}

		public IControl GetInstanceGenericControl() => new ControlStudentGroupElement() { ControlId = Guid.NewGuid() };

		public ControlViewEntityElementConfiguration GetConfigControl() => new();
	}
}