﻿using SecurityContract.Services;
using SecurityContract.Services.IGenericEntityService;
using SecurityDatabaseImplementation.Implementations;
using SecurityDatabaseImplementation.Implementations.AbstractGenerticEntityService;
using ToolsModule.DependencyManagment;

namespace SecurityDatabaseImplementation
{
    public class SecurityImplementationDependencyRegistration : IDependencyRegistration
	{
		public void RegisterServices()
		{
			DependencyManager.Instance.RegisterType<IAccessService, AccessService>();
			DependencyManager.Instance.RegisterType<IEnviromentSettingService, EnviromentSettingService>();
			DependencyManager.Instance.RegisterType<IRoleService, RoleService>();
			DependencyManager.Instance.RegisterType<IUserService, UserService>();
			DependencyManager.Instance.RegisterType<IUserRoleService, UserRoleService>();

			DependencyManager.Instance.RegisterType<IBackupService, BackupJsonContractService>();
			DependencyManager.Instance.RegisterType<ISynchronizationService, SynchronizationService>();
		}
	}
}